Author Topic: Python3 package error: PIL/imageCms  (Read 618 times)

0 Members and 1 Guest are viewing this topic.

Offline gmueller

  • Neuling
  • *
  • Posts: 9
  • I'm new. Be nice!
  • Skill: Intermediate
Python3 package error: PIL/imageCms
« on: 27. February 2016, 08:17:03 »
with this statement you get the following error (not with python2). I compiled the PIL sources and the error disappears.

python -c 'from PIL import ImageCms'

Traceback (most recent call last):
  File "/usr/lib/python3.5/site-packages/PIL/ImageCms.py", line 90, in <module>
    from PIL import _imagingcms
ImportError: cannot import name '_imagingcms'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib/python3.5/site-packages/PIL/ImageCms.py", line 94, in <module>
    from _util import deferred_error
ImportError: No module named '_util'